POST /sales/invoices/compliance/evaluate
POST/sales/invoices/compliance/evaluate
POST /sales/invoices/compliance/evaluate
Request
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
Possible values: >= 1, <= 1000
Body
Possible values: >= 1, <= 1000
Body
Possible values: >= 1, <= 1000
Body
Possible values: >= 1, <= 1000
Responses
- 202
Accepted
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
compliance
object
Possible values: [pending, evaluated, blocked]
Possible values: [no_reporting, reporting_by_delivery]
Possible values: [eligible, eligible_via_required_channel]
Possible values: [none, send_via_peppol]
allowed_actions
object
[
{
"invoice_id": 0,
"compliance": {
"status": "pending",
"reporting_method": "no_reporting",
"delivery_eligibility": "eligible",
"required_action": "none",
"allowed_actions": {
"send_email": true,
"download_pdf": true,
"send_via_peppol": true,
"submit_to_tax_authority": true
},
"evaluated_at": "2024-07-29T15:51:28.071Z",
"blocking_reason": "string"
}
}
]
- Schema
- Example (from schema)
Schema
Array [
]
compliance
object
Possible values: [pending, evaluated, blocked]
Possible values: [no_reporting, reporting_by_delivery]
Possible values: [eligible, eligible_via_required_channel]
Possible values: [none, send_via_peppol]
allowed_actions
object
[
{
"invoice_id": 0,
"compliance": {
"status": "pending",
"reporting_method": "no_reporting",
"delivery_eligibility": "eligible",
"required_action": "none",
"allowed_actions": {
"send_email": true,
"download_pdf": true,
"send_via_peppol": true,
"submit_to_tax_authority": true
},
"evaluated_at": "2024-07-29T15:51:28.071Z",
"blocking_reason": "string"
}
}
]
- Schema
- Example (from schema)
Schema
Array [
]
compliance
object
Possible values: [pending, evaluated, blocked]
Possible values: [no_reporting, reporting_by_delivery]
Possible values: [eligible, eligible_via_required_channel]
Possible values: [none, send_via_peppol]
allowed_actions
object
[
{
"invoice_id": 0,
"compliance": {
"status": "pending",
"reporting_method": "no_reporting",
"delivery_eligibility": "eligible",
"required_action": "none",
"allowed_actions": {
"send_email": true,
"download_pdf": true,
"send_via_peppol": true,
"submit_to_tax_authority": true
},
"evaluated_at": "2024-07-29T15:51:28.071Z",
"blocking_reason": "string"
}
}
]